Show / Hide Table of Contents

# Class QueryExecuteSubsetParams

Parameters for a query result subset retrieval request

##### Inheritance

System.Object
QueryExecuteSubsetParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecuteSubsetParams

### Properties

| Improve this Doc View Source

#### BatchIndex

Index of the batch to get the results from

##### Declaration

    public int BatchIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OwnerUri

URI for the file that owns the query to look up the results for

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ResultSetIndex

Index of the result set to get the results from

##### Declaration

    public int ResultSetIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RowsCount

Number of rows to include in the result of this request. If the number of the rows exceeds the number of rows available after the start index, all available rows after the start index will be returned.

##### Declaration

    public int RowsCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RowsStartIndex

Beginning index of the rows to return from the selected resultset. This index will be included in the results.

##### Declaration

    public int RowsStartIndex { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |